sc::SCExtrapError(3)

NAME
sc::SCExtrapError -

SCExtrapError holds the error data needed by SelfConsistentExtrapolation'.

SYNOPSIS

#include <scextrap.h>

Inherits sc::SavableState'.

Inherited by sc::SymmSCMatrixSCExtrapError'.

  Public Member Functions
SCExtrapError ()
Construct a new SCExtrapError'.
SCExtrapError (StateIn &)
Constructor to restore SCExtrapError from a StateIn object'.
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'.
virtual double error ()=0
Returns some measure of the total error'.
virtual double scalar_product (const Ref< SCExtrapError > &)=0
Performs a scalar product between this and the given SCExtrapError'.

Detailed Description

SCExtrapError holds the error data needed by SelfConsistentExtrapolation'.

Member Function Documentation

  void sc::SCExtrapError::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'. This must be implemented by the derived class if the class has data'.

Reimplemented from sc::SavableState'.

Reimplemented in sc::SymmSCMatrixSCExtrapError'.

Author

Generated automatically by Doxygen for MPQC from the source code'.